#!/bin/bash

### Workaround for PPPM-12924 (https://support.plesk.com/hc/en-us/articles/360020964840)

# DO NOT MODIFY THIS SCRIPT

# Webmail verification
WEBMAIL='none'
WEBMAILS=$(plesk db -Ne "SELECT product_id FROM Webmails")
if [[ $(echo -e $WEBMAILS | grep -c roundcube) -eq 1 ]]
then
	echo -e "\n[!] Roundcube is already installed. Exiting...\n"
	exit 0
elif [[ $(echo -e $WEBMAILS | grep -c horde) -eq 1 ]]
then
	echo -e "\n[+] Roundcube is not installed\n[+] Horde is installed\n[+] Switching to Horde..."
	WEBMAIL='horde'
else
	echo -e "\n[+] Webmail not installed\n[+] Disabling webmail to the domains..."
	WEBMAIL='none'
fi

# Change webmail assigned on all domains
plesk bin domain -l | while read i; do plesk bin domain_pref -u $i -webmail "$WEBMAIL"; done
echo -e "\n[+] All domains have been configured with the webmail: $WEBMAIL\n[!] Do not forget to run: plesk repair web\n"
